Description of upgradecatalog.gif follows
Description of the illustration upgradecatalog.gif


To upgrade the recovery catalog schema from an older version to the version required by the RMAN executable. For example, if you use a release 8.0 recovery catalog with a release 8.1 version of RMAN, then you must upgrade the catalog.

Note that UPGRADE CATALOG does not run scripts to perform the upgrade. Instead, RMAN sends various SQL DDL statements to the recovery catalog to update the recovery catalog schema with new tables, views, columns, and so forth.

Restrictions and Usage Notes

  • You must be connected to the catalog database, and the catalog database must be open. You do not have to be connected to the target database.

  • You must enter the UPGRADE command twice in a row to confirm the upgrade.

  • You will receive an error if the recovery catalog is already at a version greater than needed by the RMAN executable. RMAN permits the command to be run if the recovery catalog is already current, however, so that the packages can be re-created if necessary. RMAN displays all error messages generated during the upgrade in the message log.

Keywords and Parameters



Upgrading a Recovery Catalog: Example This example connects to recovery catalog database recdb at the operating system command line and then upgrades it to a more current version:

% rman CATALOG rcat/rcat@recdb

connected to recovery catalog database 
PL/SQL package rcat.DBMS_RCVCAT version 08.00.04 in RCVCAT database is too old


recovery catalog owner is rcat 
enter UPGRADE CATALOG command again to confirm catalog upgrade 


recovery catalog upgraded to version 09.00.01
DBMS_RCVMAN package upgraded to version 09.00.01
DBMS_RCVCAT package upgraded to version 09.00.01